# Debian Packages for Forgejo
Hello! If you want to run Forgejo on Debian/Ubuntu and you're looking for packages to install it to your system, you've come to the right place!

### Build test: [![ci-status](https://ci.cryxtal.org/api/badges/forgejo-contrib/forgejo-deb/status.svg)](https://ci.cryxtal.org/crystal/forgejo-deb)

## Download info
You can find the latest release downloads in [the releases tab](https://codeberg.org/crystal/forgejo-deb/releases). There are currently 3 packages built by this script.
- `forgejo`: A basic production-ready Forgejo build without SQLite support
- `forgejo-sqlite`: A Forgejo build with SQLite support, best way to get started fast
- `forgejo-bin`: A Debian package with the official Forgejo binary, in case you don't trust my builds

## Installation
These packages are easy to use! Just download your preferred package, install it with `sudo apt install ./forgejo*_amd64.deb` and point your browser to `http://localhost:3000`. The package will set up Forgejo as a systemd service and take care of creating a new user for Forgejo, so all you need to do is set it up to your liking.

The default username for Forgejo's user is `forgejo`, but it can easily be changed prior to installation, for example if you would rather run Forgejo as user `git`. All you need to do is download the files from the `etc` folder in this repository, put them in the respective places on your system, and customize them to your liking. When you use apt to install the Forgejo package, it will create a new user with the specified settings.

## Updates through apt
You can install updates for this package along with all the other software on your system with `apt` thanks to the Debian package registry added in Forgejo v1.20. Run the following commands to set up the repository on your system:
```sh
sudo apt install wget apt-transport-https
wget --content-disposition https://code.forgejo.org/crystal/-/packages/debian/forgejo-deb-repo/0-0/files/2637
sudo apt install ./forgejo-deb-repo_0-0_all.deb
sudo apt update
sudo apt upgrade
```
If you already installed Forgejo using a package from the releases tab, it will now be automatically updated along with the rest of your system packages. If you have not yet installed Forgejo, you can now install it with `apt install forgejo(-sqlite|-bin)`

## Removal
Removing Forgejo itself from your system is simple, just `sudo apt remove forgejo(-sqlite|-bin)`. If you use `sudo apt purge`, the related configuration files will also be removed from `/etc/forgejo`. To avoid accidentally destroying user data, other things including the Forgejo user will be left behind. The following commands will remove everything from your system.
```sh
sudo apt purge forgejo
sudo rm -rf /var/lib/forgejo
sudo rm -rf /etc/forgejo /etc/default/forgejo /etc/systemd/system/forgejo.service.d
sudo deluser forgejo
```
If you customized the user or home directory before installing Forgejo, make sure to adjust the commands accordingly. If you get an error saying the files you are trying to delete do not exist, don't worry about it.

If you installed the `apt` repository and you would like to remove it, use `sudo apt purge forgejo-deb-repo forgejo-deb-repokey`
